/* -*-objc-*- 
   NSSplitView+Autosaving.m
 
   Copyright (C) 2000 Free Software Foundation, Inc.
 
   Author:  Marko Mikulicic <marko@openself.org>
   Date: August 2001
 
   This file is part of the GNUstep GUI Library.
 
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
 
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.
 
   You should have received a copy of the GNU Library General Public
   License along with this library; see the file COPYING.LIB.
   If not, write to the Free Software Foundation,
   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef _GNUstep_H_NSSplitView_Autosave 
#define _GNUstep_H_NSSplitView_Autosave 

#import <AppKit/AppKit.h>

@interface NSSplitView  (AutosaveExtension)

/* set the name of this view in the user dictionary */
- (void) setAutosaveName: (NSString *)name;
/* get the name of this view */
- (NSString *) autosaveName;

/* true if wants to save position automagically.
 * See NSTableView for detail. */
- (void) setAutosaveDividerPosition: (BOOL)flag;
/* true if saving positions automagically */
- (BOOL) autosaveDividerPosition;

@end

#endif
